%define anolis_release 1
%global tarball libXres

Summary: X-Resource extension client library
Name: libXres
Version: 1.2.1
Release: %{anolis_release}%{dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

Requires: libX11 >= 1.5.99.902

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(x11) >= 1.5.99.902

%description
X-Resource is an extension that allows a client to query
the X server about its usage of various resources. 

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXres development package

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}

%build
autoreconf -v --install --force
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%ldconfig_post
%ldconfig_postun

%generate_compatibility_deps

%files
%{_libdir}/libXRes.so.1
%{_libdir}/libXRes.so.1.0.0
%license COPYING

%dir %{abidir}
%{abidir}/libXRes.dump

%files devel
%{_includedir}/X11/extensions/XRes.h
%{_libdir}/libXRes.so
%{_libdir}/pkgconfig/xres.pc
%{_mandir}/man3/*.3*

%files doc
%doc AUTHORS ChangeLog INSTALL README.md

%changelog
* Thu Mar 16 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.2.1-1
- Init package from upstream
